<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [calckey-js](./calckey-js.md) &gt; [api](./calckey-js.api.md) &gt; [APIClient](./calckey-js.api.apiclient.md) &gt; [(constructor)](./calckey-js.api.apiclient._constructor_.md)

## api.APIClient.(constructor)

Constructs a new instance of the `APIClient` class

**Signature:**

```typescript
constructor(opts: {
		origin: APIClient["origin"];
		credential?: APIClient["credential"];
		fetch?: APIClient["fetch"] | null | undefined;
	});
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  opts | { origin: [APIClient](./calckey-js.api.apiclient.md)<!-- -->\["origin"\]; credential?: [APIClient](./calckey-js.api.apiclient.md)<!-- -->\["credential"\]; fetch?: [APIClient](./calckey-js.api.apiclient.md)<!-- -->\["fetch"\] \| null \| undefined; } |  |

